| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Enumerations | Functions
CHIP: LPC8xx Self Wakeup Timer (WKT) driver
LPC8xx chip specific drivers

## Detailed Description

This driver provides Self Wakeup Timer support for the device. The driver requires the following IP drivers:
IP: Self Wakeup Timer (WKT) register block and driver

## Enumerations
enum | CHIP_WKT_CLKSRC_T { WKT_CLKSRC_DIVIRC = 0, WKT_CLKSRC_10KHZ = 1 }

## Functions
STATIC INLINE void | Chip_WKT_ClearIntStatus (LPC_WKT_T *pWKT)
| Clear WKT interrupt status.
STATIC INLINE void | Chip_WKT_Stop (LPC_WKT_T *pWKT)
| Clear and stop WKT counter.
void | Chip_WKT_Start (LPC_WKT_T *pWKT, CHIP_WKT_CLKSRC_T clkSrc, uint32_t cntVal)
| Start wake-up timer interrupt, set clock source, set timer interval.

## Enumeration Type Documentation

enum CHIP_WKT_CLKSRC_T

WKT Clock source values enum

Enumerator:

  WKT_CLKSRC_DIVIRC | Divided IRC clock - runs at 750kHz
  WKT_CLKSRC_10KHZ | Low power clock - runs at 10kHz

Definition at line 50 of file wkt_8xx.h.

## Function Documentation

STATIC INLINE void Chip_WKT_ClearIntStatus | ( | LPC_WKT_T * | pWKT | ) |

Clear WKT interrupt status.

Parameters

  pWKT | : Pointer to WKT register block

Returns
  Nothing

Definition at line 60 of file wkt_8xx.h.

void Chip_WKT_Start | ( | LPC_WKT_T * | pWKT,
|  | CHIP_WKT_CLKSRC_T | clkSrc,
|  | uint32_t | cntVal
| ) |  |

Start wake-up timer interrupt, set clock source, set timer interval.

Parameters

  pWKT | : Pointer to WKT register block
  clkSrc | : Clock source
  cntVal | : Timer interval

Returns
  None

Definition at line 51 of file wkt_8xx.c.

STATIC INLINE void Chip_WKT_Stop | ( | LPC_WKT_T * | pWKT | ) |

Clear and stop WKT counter.

Parameters

  pWKT | : Pointer to WKT register block

Returns
  Nothing

Definition at line 70 of file wkt_8xx.h.